<?php

include "../../classes/autoload.php";

$html = new html("");

$app = new inner_app();
$app->quick_bar("/app/clients/");
$app->app_start();
?>

<div class="column width_80 background_1 border_radius">

    <h1>NEW CLIENT</h1>
    <div class="row width_80">
        <div class="column width_50">
            <label>NAME</label>
            <input type="text" class="width_80" id='name' name='name' />
            <label>ADDRESS</label>
            <input type="text" class="width_80" id='address' name='address' />
            <label>EMAIL</label>
            <input type="email" class="width_80" id='email' name='email' />
            <label>CONTACT PERSON</label>
            <input type="text" class="width_80" id='contact_person' name='contact_person' />
            <label>CONTACT NUMBER</label>
            <input type="text" class="width_80" id='contact_number' name='contact_number' />
            <h2>Company Detials</h2>
            <label>VAT NUMBER</label>
            <input type="text" class="width_80" id='vat_number' name='vat_number' />
            <label>REG. NUMBER</label>
            <input type="text" class="width_80" id='reg_number' name='reg_number' />
        </div>
    </div>
    <br>
    <button class="width_90" onclick="save('save_clients.php')">SAVE</button>
    <br>

</div>


<script>
    function save(url) {
        var elements = document.getElementsByTagName('input');
        var payload = {};
        for (var i = 0; i < elements.length; i++) {
            var element = elements[i];
            if (element.type === 'text' || element.type === 'date' || element.type === 'email') {
                payload[element.name] = element.value;
            }
        }

        var elements = document.getElementsByTagName('select');
        for (var i = 0; i < elements.length; i++) {
            var element = elements[i];

            payload[element.name] = element.value;

        }

        var form = document.createElement('form');
        form.method = 'POST';
        form.action = url;

        for (var key in payload) {
            if (payload.hasOwnProperty(key)) {
                var input = document.createElement('input');
                input.type = 'hidden';
                input.name = key;
                input.value = payload[key];

                form.appendChild(input);
            }
        }

        document.body.appendChild(form);
        form.submit();
    }
</script>